# Generated by Django 2.2.9 on 2021-11-20 10:02

from django.db import migrations, models
import django.db.models.deletion
import smartfields.fields
import smartfields.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cat_title', models.CharField(max_length=100)),
                ('cat_slug', models.SlugField()),
                ('cat_description', models.TextField()),
                ('cat_image', models.ImageField(upload_to='')),
                ('is_active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='UsersRated',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.CharField(max_length=50, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='SubCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sub_title', models.CharField(max_length=100)),
                ('sub_slug', models.SlugField()),
                ('sub_description', models.TextField()),
                ('sub_image', models.ImageField(upload_to='')),
                ('is_active', models.BooleanField(default=True)),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='seller.Category')),
            ],
        ),
        migrations.CreateModel(
            name='Rating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('seller', models.CharField(max_length=50, null=True)),
                ('rate', models.IntegerField(default=0)),
                ('users', models.ManyToManyField(to='seller.UsersRated')),
            ],
        ),
        migrations.CreateModel(
            name='ProductData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('p_name', models.CharField(choices=[('Electronics', (('Camera', 'CAMERA'), ('Fan', 'FAN'), ('Keyboard', 'KEYBOARD'), ('Monitor', 'MONITOR'), ('Mouse', 'MOUSE'))), ('Home Decor', (('Alarm', 'ALARM'), ('Showcase', 'SHOWCASE'), ('Table Fan', 'TABLE FAN'))), ('Medical', (('Mask', 'MASK'), ('Sanitizer', 'SANITIZER'))), ('Office Supplies', (('Folder', 'FOLDER'), ('Paper Weight', 'PAPER WEIGHT'), ('Pen Holder', 'PEN HOLDER'), ('White Board', 'WHITE BOARD'))), ('School Supplies', (('Bag', 'BAG'), ('Pen', 'PEN'), ('Pencil Box', 'PENCIL BOX')))], default='Mouse', max_length=25)),
                ('seller_name', models.CharField(max_length=50, null=True)),
                ('s_name', models.CharField(max_length=50, null=True)),
                ('p_img', smartfields.fields.ImageField(upload_to='pics')),
                ('p_img2', smartfields.fields.ImageField(null=True, upload_to='pics')),
                ('p_img3', smartfields.fields.ImageField(null=True, upload_to='pics')),
                ('p_img4', smartfields.fields.ImageField(null=True, upload_to='pics')),
                ('p_price', models.IntegerField()),
                ('min_q', models.CharField(max_length=10)),
                ('p_desc', models.TextField(null=True)),
                ('tag', models.CharField(max_length=20, null=True)),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='seller.Category')),
                ('subcategory', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='seller.SubCategory')),
            ],
            bases=(smartfields.models.SmartfieldsModelMixin, models.Model),
        ),
    ]
